Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class EventDispatchFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.ModificationFrameStore
              edu.stanford.smi.protege.model.framestore.EventDispatchFrameStore

All Implemented Interfaces:
  FrameStore

    public class EventDispatchFrameStore

extends ModificationFrameStore

Author:
  Ray Fergerson

Field Summary
`static int` | `DELAY_MSEC`

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`EventDispatchFrameStore(KnowledgeBase kb)`

Method Summary
`void` | `addDirectSuperclass(Cls cls, Cls superclass)`
`void` | `addDirectSuperslot(Slot slot, Slot superslot)`
`void` | `addDirectTemplateSlot(Cls cls, Slot slot)`
`void` | `addDirectType(Instance instance, Cls type)`
`void` | `addListener(Class<?> c, Object o, EventListener listener)`
`boolean` | `beginTransaction(String name)`
`void` | `clearListeners()`
`void` | `close()`
`boolean` | `commitTransaction()`
`Cls` | `createCls(FrameID id, Collection types, Collection superclasses, boolean loadDefaults)`
`Facet` | `createFacet(FrameID id, Collection directTypes, boolean loadDefaultValues)`
`SimpleInstance` | `createSimpleInstance(FrameID id, Collection types, boolean loadDefaultValues)`
`Slot` | `createSlot(FrameID id, Collection types, Collection superslots, boolean loadDefaults)`
`void` | `deleteCls(Cls cls)` Delete a single leaf class.
`void` | `deleteFacet(Facet facet)`
`void` | `deleteSimpleInstance(SimpleInstance simpleInstance)`
`void` | `deleteSlot(Slot slot)`
`void` | `dumpListeners(Level level)`
`void` | `flushEvents()`
`List<AbstractEvent>` | `getEvents()` When pass through is set for the event dispatch frame store it is the callers responsibility to avoid deadlock situations.
`Collection<EventListener>` | `getListeners(Class<?> c, Object o)`
`void` | `moveDirectOwnSlotValue(Frame frame, Slot slot, int from, int to)`
`void` | `moveDirectSubclass(Cls cls, Cls subclass, int index)`
`void` | `moveDirectSubslot(Slot slot, Slot subslot, int index)`
`void` | `moveDirectTemplateSlot(Cls cls, Slot slot, int index)`
`void` | `moveDirectType(Instance instance, Cls type, int index)`
`void` | `notifyInstancesOfBrowserTextChange(Cls cls)`
`void` | `printListenersByHashCode(int hash)`
`void` | `reinitialize()`
`void` | `removeDirectSuperclass(Cls cls, Cls superclass)`
`void` | `removeDirectSuperslot(Slot slot, Slot superslot)`
`void` | `removeDirectTemplateFacetOverrides(Cls cls, Slot slot)`
`void` | `removeDirectTemplateSlot(Cls cls, Slot slot)`
`void` | `removeDirectType(Instance instance, Cls type)`
`void` | `removeListener(Class<?> c, Object o, EventListener listener)`
`void` | `replaceFrame(Frame original, Frame replacement)`
`boolean` | `rollbackTransaction()`
`void` | `setDirectOwnSlotValues(Frame frame, Slot slot, Collection values)`
`void` | `setDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet, Collection values)`
`void` | `setDirectTemplateSlotValues(Cls cls, Slot slot, Collection values)`
`void` | `setPassThrough(boolean passThrough)`
`void` | `setPollForEvents(boolean b)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.ModificationFrameStore
`executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELAY_MSEC

    public static final int DELAY_MSEC

See Also:
  Constant Field Values

Constructor Detail

### EventDispatchFrameStore

    public EventDispatchFrameStore(KnowledgeBase kb)

Method Detail

### reinitialize

    public void reinitialize()

### close

    public void close()

  Specified by:
    `close` in interface `FrameStore`
  Overrides:
    `close` in class `AbstractFrameStore`

### setPassThrough

    public void setPassThrough(boolean passThrough)

### getEvents

    public List<AbstractEvent> getEvents()

  When pass through is set for the event dispatch frame store it is the callers responsibility to avoid deadlock situations. Deadlock really shouldn't be an issue for the server but this would be important if there was ever another caller.

  Specified by:
    `getEvents` in interface `FrameStore`
  Overrides:
    `getEvents` in class `ModificationFrameStore`
  See Also:
    `ModificationFrameStore.getEvents()`

### setPollForEvents

    public void setPollForEvents(boolean b)

### flushEvents

    public void flushEvents()
                     throws InterruptedException

  Throws:
    `InterruptedException`

### getListeners

    public Collection<EventListener> getListeners(Class<?> c,
                                                  Object o)

### clearListeners

    public void clearListeners()

### notifyInstancesOfBrowserTextChange

    public void notifyInstancesOfBrowserTextChange(Cls cls)

### addListener

    public void addListener(Class<?> c,
                            Object o,
                            EventListener listener)

### removeListener

    public void removeListener(Class<?> c,
                               Object o,
                               EventListener listener)

### addDirectSuperclass

    public void addDirectSuperclass(Cls cls,
                                    Cls superclass)

### addDirectSuperslot

    public void addDirectSuperslot(Slot slot,
                                   Slot superslot)

### addDirectTemplateSlot

    public void addDirectTemplateSlot(Cls cls,
                                      Slot slot)

### addDirectType

    public void addDirectType(Instance instance,
                              Cls type)

### beginTransaction

    public boolean beginTransaction(String name)

### commitTransaction

    public boolean commitTransaction()

### createCls

    public Cls createCls(FrameID id,
                         Collection types,
                         Collection superclasses,
                         boolean loadDefaults)

### createFacet

    public Facet createFacet(FrameID id,
                             Collection directTypes,
                             boolean loadDefaultValues)

### createSimpleInstance

    public SimpleInstance createSimpleInstance(FrameID id,
                                               Collection types,
                                               boolean loadDefaultValues)

### createSlot

    public Slot createSlot(FrameID id,
                           Collection types,
                           Collection superslots,
                           boolean loadDefaults)

### deleteCls

    public void deleteCls(Cls cls)

  Description copied from interface: `FrameStore`
  Delete a single leaf class. The operation fails if the class has subclasses or instances.

  Parameters:
    `cls` - Class to be deleted

### deleteFacet

    public void deleteFacet(Facet facet)

### deleteSimpleInstance

    public void deleteSimpleInstance(SimpleInstance simpleInstance)

### deleteSlot

    public void deleteSlot(Slot slot)

### moveDirectOwnSlotValue

    public void moveDirectOwnSlotValue(Frame frame,
                                       Slot slot,
                                       int from,
                                       int to)

### moveDirectSubclass

    public void moveDirectSubclass(Cls cls,
                                   Cls subclass,
                                   int index)

### moveDirectSubslot

    public void moveDirectSubslot(Slot slot,
                                  Slot subslot,
                                  int index)

### moveDirectTemplateSlot

    public void moveDirectTemplateSlot(Cls cls,
                                       Slot slot,
                                       int index)

### moveDirectType

    public void moveDirectType(Instance instance,
                               Cls type,
                               int index)

### removeDirectSuperclass

    public void removeDirectSuperclass(Cls cls,
                                       Cls superclass)

### removeDirectSuperslot

    public void removeDirectSuperslot(Slot slot,
                                      Slot superslot)

### removeDirectTemplateFacetOverrides

    public void removeDirectTemplateFacetOverrides(Cls cls,
                                                   Slot slot)

### removeDirectTemplateSlot

    public void removeDirectTemplateSlot(Cls cls,
                                         Slot slot)

### removeDirectType

    public void removeDirectType(Instance instance,
                                 Cls type)

### rollbackTransaction

    public boolean rollbackTransaction()

### setDirectOwnSlotValues

    public void setDirectOwnSlotValues(Frame frame,
                                       Slot slot,
                                       Collection values)

### setDirectTemplateFacetValues

    public void setDirectTemplateFacetValues(Cls cls,
                                             Slot slot,
                                             Facet facet,
                                             Collection values)

### setDirectTemplateSlotValues

    public void setDirectTemplateSlotValues(Cls cls,
                                            Slot slot,
                                            Collection values)

### replaceFrame

    public void replaceFrame(Frame original,
                             Frame replacement)

### printListenersByHashCode

    public void printListenersByHashCode(int hash)

### dumpListeners

    public void dumpListeners(Level level)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.